org.eclipse.emf.cdo.transaction

## Class CDOPostEventTransactionHandler.Default

- java.lang.Object
- - org.eclipse.emf.cdo.transaction.CDOPostEventTransactionHandler
  - - org.eclipse.emf.cdo.transaction.CDOPostEventTransactionHandler.Default

- All Implemented Interfaces:
    CDOTransactionHandler, CDOTransactionHandler1, CDOTransactionHandler2, CDOTransactionHandlerBase
  Enclosing class:
    CDOPostEventTransactionHandler

      public static class CDOPostEventTransactionHandler.Default
      extends CDOPostEventTransactionHandler

  An empty default implementation of `CDOPostEventTransactionHandler`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.transaction.CDOPostEventTransactionHandler

      `CDOPostEventTransactionHandler.Default`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionHandler1

      `CDOTransactionHandler1.WithUndo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Default()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `attachedObject(CDOTransaction transaction, CDOObject object, Notification msg)`
    `protected void` | `detachedObject(CDOTransaction transaction, CDOObject object, Notification msg)`
    `protected void` | `modifiedObject(CDOTransaction transaction, CDOObject object, Notification msg)`

    - ### Methods inherited from class org.eclipse.emf.cdo.transaction.CDOPostEventTransactionHandler

      `attachingObject, committedTransaction, committingTransaction, detachingObject, modifyingObject, rolledBackTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Default

          public Default()

  - ### Method Detail

    - #### attachedObject

          protected void attachedObject(CDOTransaction transaction,
                                        CDOObject object,
                                        Notification msg)

      Specified by:
        `attachedObject` in class `CDOPostEventTransactionHandler`

    - #### modifiedObject

          protected void modifiedObject(CDOTransaction transaction,
                                        CDOObject object,
                                        Notification msg)

      Specified by:
        `modifiedObject` in class `CDOPostEventTransactionHandler`

    - #### detachedObject

          protected void detachedObject(CDOTransaction transaction,
                                        CDOObject object,
                                        Notification msg)

      Specified by:
        `detachedObject` in class `CDOPostEventTransactionHandler`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html